diff --git a/web/pgadmin/tools/import_export/static/js/import_export.js b/web/pgadmin/tools/import_export/static/js/import_export.js
index 87973e42..070ba6c3 100644
--- a/web/pgadmin/tools/import_export/static/js/import_export.js
+++ b/web/pgadmin/tools/import_export/static/js/import_export.js
@@ -259,281 +371,300 @@ define([
     },
     exporting: function(m) {
       return !(m.importing.apply(this, arguments));
-    }
+    },
   });
 
   pgTools.import_utility = {
-      init: function() {
-        // We do not want to initialize the module multiple times.
-        if (this.initialized)
-            return;
-
-        this.initialized = true;
-
-        /**
-         Enable/disable import menu in tools based on node selected
-         Import menu will be enabled only when user select table node.
-        */
-        var menu_enabled = function(itemData, item, data) {
-         var t = pgBrowser.tree, i = item, d = itemData;
-         var parent_item = t.hasParent(i) ? t.parent(i): null,
-             parent_data = parent_item ? t.itemData(parent_item) : null;
-           if(!_.isUndefined(d) && !_.isNull(d) && !_.isNull(parent_data))
-             return (
-               (_.indexOf(['table'], d._type) !== -1 &&
-               parent_data._type != 'catalog') ? true: false
-             );
-           else
-             return false;
-        };
-
-        // Initialize the context menu to display the import options when user open the context menu for table
-        pgBrowser.add_menus([{
-          name: 'import', node: 'table', module: this,
-          applies: ['tools', 'context'], callback: 'callback_import_export',
-          category: 'import', priority: 10, label: gettext('Import/Export...'),
-          icon: 'fa fa-shopping-cart', enable: menu_enabled
-        }]);
-      },
-
-      /*
-        Open the dialog for the import functionality
-      */
-      callback_import_export: function(args, item) {
-        var i = item || pgBrowser.tree.selected(),
-          server_data = null;
-
-        while (i) {
-          var node_data = pgBrowser.tree.itemData(i);
-          if (node_data._type == 'server') {
-            server_data = node_data;
-            break;
-          }
-
-          if (pgBrowser.tree.hasParent(i)) {
-            i = $(pgBrowser.tree.parent(i));
-          } else {
-            Alertify.alert(gettext("Please select server or child node from tree."));
-            break;
-          }
-        }
+    init: function() {
+      // We do not want to initialize the module multiple times.
+      if (this.initialized)
+        return;
 
-        if (!server_data) {
-          return;
-        }
+      this.initialized = true;
 
-        var module = 'paths',
-          preference_name = 'pg_bin_dir',
-          msg = gettext('Please configure the PostgreSQL Binary Path in the Preferences dialog.');
+      /*
+       * Enable/disable import menu in tools based on node selected. Import
+       * menu will be enabled only when user select table node.
+       */
+      var menu_enabled = function(itemData, item) {
+        var t = pgBrowser.tree,
+          i = item,
+          d = itemData;
+        var parent_item = t.hasParent(i) ? t.parent(i) : null,
+          parent_data = parent_item ? t.itemData(parent_item) : null;
+        if (!_.isUndefined(d) && !_.isNull(d) && !_.isNull(parent_data))
+          return (
+            (_.indexOf(['table'], d._type) !== -1 &&
+              parent_data._type != 'catalog') ? true : false
+          );
+        else
+          return false;
+      };
+
+      // Initialize the context menu to display the import options when user open the context menu for table
+      pgBrowser.add_menus([{
+        name: 'import',
+        node: 'table',
+        module: this,
+        applies: ['tools', 'context'],
+        callback: 'callback_import_export',
+        category: 'import',
+        priority: 10,
+        label: gettext('Import/Export...'),
+        icon: 'fa fa-shopping-cart',
+        enable: menu_enabled,
+      }]);
+    },
 
-        if ((server_data.type && server_data.type == 'ppas') ||
-            server_data.server_type == 'ppas') {
-          preference_name = 'ppas_bin_dir';
-          msg = gettext('Please configure the EDB Advanced Server Binary Path in the Preferences dialog.');
+    /*
+      Open the dialog for the import functionality
+    */
+    callback_import_export: function(args, item) {
+      var i = item || pgBrowser.tree.selected(),
+        server_data = null;
+
+      while (i) {
+        var node_data = pgBrowser.tree.itemData(i);
+        if (node_data._type == 'server') {
+          server_data = node_data;
+          break;
         }
 
-        var preference = pgBrowser.get_preference(module, preference_name);
-
-        if(preference) {
-          if (!preference.value) {
-            Alertify.alert(gettext('Configuration required'), msg);
-            return;
-          }
+        if (pgBrowser.tree.hasParent(i)) {
+          i = $(pgBrowser.tree.parent(i));
         } else {
-          Alertify.alert(S(gettext('Failed to load preference %s of module %s')).sprintf(preference_name, module).value());
-          return;
+          Alertify.alert(gettext('Please select server or child node from tree.'));
+          break;
         }
+      }
 
-        var self = this;
-        var input = args || {},
-            t = pgBrowser.tree,
-            i = item || t.selected(),
-            d = i && i.length == 1 ? t.itemData(i) : undefined,
-            node = d && pgBrowser.Nodes[d._type];
-
-        if (!d)
-          return;
-
-        var objName = d.label;
-        var treeInfo = node.getTreeNodeHierarchy.apply(node, [i]);
-
-        if (!Alertify.ImportDialog) {
-          Alertify.dialog('ImportDialog', function factory() {
-
-            return {
-              main: function(title, node, item, data) {
-                this.set('title', title);
-                this.setting('pg_node', node);
-                this.setting('pg_item', item);
-                this.setting('pg_item_data', data);
-              },
+      if (!server_data) {
+        return;
+      }
 
-              build: function() {
-                Alertify.pgDialogBuild.apply(this)
-              },
+      var module = 'paths',
+        preference_name = 'pg_bin_dir',
+        msg = gettext('Please configure the PostgreSQL Binary Path in the Preferences dialog.');
 
-              setup: function() {
-                return {
-                  buttons:[{
-                    text: gettext("OK"), key: 13, disable: true,
-                    'data-btn-name': 'ok',
-                    className:
-                      "btn btn-primary fa fa-lg fa-save pg-alertify-button"
-                  }, {
-                    text: gettext("Cancel"), key: 27,
-                    'data-btn-name': 'cancel',
-                    className:
-                      "btn btn-danger fa fa-lg fa-times pg-alertify-button"
-                  }],
-                  options: {modal: true}
-                };
-              },
+      if ((server_data.type && server_data.type == 'ppas') ||
+        server_data.server_type == 'ppas') {
+        preference_name = 'ppas_bin_dir';
+        msg = gettext('Please configure the EDB Advanced Server Binary Path in the Preferences dialog.');
+      }
 
-              settings: {
-                pg_node: null,
-                pg_item: null,
-                pg_item_data: null
-              },
+      var preference = pgBrowser.get_preference(module, preference_name);
 
-              // Callback functions when click on the buttons of the Alertify dialogs
-              callback: function(e) {
-                if (e.button['data-btn-name'] === "ok") {
+      if (preference) {
+        if (!preference.value) {
+          Alertify.alert(gettext('Configuration required'), msg);
+          return;
+        }
+      } else {
+        Alertify.alert(S(gettext('Failed to load preference %s of module %s')).sprintf(preference_name, module).value());
+        return;
+      }
 
-                  var n = this.settings['pg_node'],
-                    i = this.settings['pg_item'],
-                    treeInfo = n.getTreeNodeHierarchy.apply(n, [i])
+      var t = pgBrowser.tree;
+      i = item || t.selected();
+      var d = i && i.length == 1 ? t.itemData(i) : undefined,
+        node = d && pgBrowser.Nodes[d._type];
+
+      if (!d)
+        return;
+
+      var treeInfo = node.getTreeNodeHierarchy.apply(node, [i]);
+
+      if (!Alertify.ImportDialog) {
+        Alertify.dialog('ImportDialog', function factory() {
+
+          return {
+            main: function(title, node, item, data) {
+              this.set('title', title);
+              this.setting('pg_node', node);
+              this.setting('pg_item', item);
+              this.setting('pg_item_data', data);
+            },
+
+            build: function() {
+              Alertify.pgDialogBuild.apply(this);
+            },
+
+            setup: function() {
+              return {
+                buttons: [{
+                  text: gettext('OK'),
+                  key: 13,
+                  disable: true,
+                  'data-btn-name': 'ok',
+                  className: 'btn btn-primary fa fa-lg fa-save pg-alertify-button',
+                }, {
+                  text: gettext('Cancel'),
+                  key: 27,
+                  'data-btn-name': 'cancel',
+                  className: 'btn btn-danger fa fa-lg fa-times pg-alertify-button',
+                }],
+                options: {
+                  modal: true,
+                },
+              };
+            },
+
+            settings: {
+              pg_node: null,
+              pg_item: null,
+              pg_item_data: null,
+            },
+
+            // Callback functions when click on the buttons of the Alertify dialogs
+            callback: function(e) {
+              if (e.button['data-btn-name'] === 'ok') {
+
+                var n = this.settings['pg_node'],
+                  i = this.settings['pg_item'],
+                  treeInfo = n.getTreeNodeHierarchy.apply(n, [i]);
+
+                this.view.model.set({
+                  'database': treeInfo.database._label,
+                  'schema': treeInfo.schema._label,
+                  'table': treeInfo.table._label,
+                });
+                var self = this;
 
-                  this.view.model.set({
-                    'database': treeInfo.database._label,
-                    'schema': treeInfo.schema._label,
-                    'table': treeInfo.table._label
-                  });
-                  var self = this;
-
-                  $.ajax({
-                    url: url_for(
-                      'import_export.create_job', {'sid': treeInfo.server._id}
-                    ),
-                    method: 'POST',
-                    data:{ 'data': JSON.stringify(this.view.model.toJSON()) },
-                    success: function(res) {
-                      if (res.success) {
-                        Alertify.success(gettext('Import/export job created.'), 5);
-                        pgBrowser.Events.trigger('pgadmin-bgprocess:created', self);
-                      }
-                    },
-                    error: function(xhr, status, error) {
-                      try {
-                        var err = $.parseJSON(xhr.responseText);
-                        Alertify.alert(
- gettext('Import/export job failed.'),
-                          err.errormsg
-                        );
-                      } catch (e) {}
+                $.ajax({
+                  url: url_for(
+                    'import_export.create_job', {
+                      'sid': treeInfo.server._id,
+                    }
+                  ),
+                  method: 'POST',
+                  data: {
+                    'data': JSON.stringify(this.view.model.toJSON()),
+                  },
+                  success: function(res) {
+                    if (res.success) {
+                      Alertify.success(gettext('Import/export job created.'), 5);
+                      pgBrowser.Events.trigger('pgadmin-bgprocess:created', self);
                     }
+                  },
+                  error: function(xhr) {
+                    try {
+                      var err = $.parseJSON(xhr.responseText);
+                      Alertify.alert(
+                        gettext('Import/export job failed.'),
+                        err.errormsg
+                      );
+                    } catch (e) {
+                      console.warn(e.stack || e);
+                    }
+                  },
+                });
+              }
+            },
+
+            hooks: {
+              onclose: function() {
+                if (this.view) {
+                  this.view.remove({
+                    data: true,
+                    internal: true,
+                    silent: true,
                   });
                 }
               },
 
-              hooks: {
-                onclose: function() {
-                  if (this.view) {
-                    this.view.remove({data: true, internal: true, silent: true});
-                  }
-                },
-
-                // triggered when a dialog option gets update.
-                onupdate: function(option,oldValue, newValue) {
+              // triggered when a dialog option gets update.
+              onupdate: function(option, oldValue, newValue) {
 
-                  switch(option){
-                    case 'resizable':
-                      if(newValue){
-                        this.elements.content.removeAttribute('style');
-                      } else {
-                        this.elements.content.style.minHeight = 'inherit';
-                      }
-                      break;
+                switch (option) {
+                case 'resizable':
+                  if (newValue) {
+                    this.elements.content.removeAttribute('style');
+                  } else {
+                    this.elements.content.style.minHeight = 'inherit';
                   }
+                  break;
                 }
               },
+            },
+
+            prepare: function() {
+              // Main import module container
+              var self = this;
+
+              // Disable OK button until user provides valid Filename
+              this.__internal.buttons[0].element.disabled = true;
+
+              var $container = $('<div class=\'import_dlg\'></div>'),
+                n = this.settings.pg_node,
+                i = this.settings.pg_item,
+                treeInfo = n.getTreeNodeHierarchy.apply(n, [i]),
+                newModel = new ImportExportModel({}, {
+                  node_info: treeInfo,
+                }),
+                fields = Backform.generateViewSchema(
+                  treeInfo, newModel, 'create', node, treeInfo.server, true
+                ),
+                view = this.view = new Backform.Dialog({
+                  el: $container,
+                  model: newModel,
+                  schema: fields,
+                });
 
-              prepare: function() {
-                // Main import module container
-                var self = this;
-
-                // Disable OK button until user provides valid Filename
-                this.__internal.buttons[0].element.disabled = true;
-
-                var $container = $("<div class='import_dlg'></div>"),
-                    n = this.settings.pg_node,
-                    i = this.settings.pg_item,
-                    treeInfo = n.getTreeNodeHierarchy.apply(n, [i]),
-                    newModel = new ImportExportModel ({}, {
-                      node_info: treeInfo
-                    }),
-                    fields = Backform.generateViewSchema(
-                        treeInfo, newModel, 'create', node, treeInfo.server, true
-                    ),
-                    view = this.view = new Backform.Dialog({
-                      el: $container, model: newModel, schema: fields
-                    });
-
-                $(this.elements.body.childNodes[0]).addClass(
-                  'alertify_tools_dialog_properties obj_properties'
-                );
-                view.render();
-
-                this.elements.content.appendChild($container.get(0));
-
-                // Listen to model & if filename is provided then enable OK button
-                // For the 'Quote', 'escape' and 'delimiter' only one character is allowed to enter
-                this.view.model.on('change', function() {
-                    if (!_.isUndefined(this.get('filename')) && this.get('filename') !== '') {
+              $(this.elements.body.childNodes[0]).addClass(
+                'alertify_tools_dialog_properties obj_properties'
+              );
+              view.render();
+
+              this.elements.content.appendChild($container.get(0));
+
+              // Listen to model & if filename is provided then enable OK button
+              // For the 'Quote', 'escape' and 'delimiter' only one character is allowed to enter
+              this.view.model.on('change', function() {
+                if (!_.isUndefined(this.get('filename')) && this.get('filename') !== '') {
+                  this.errorModel.clear();
+                  if (!_.isUndefined(this.get('delimiter')) && !_.isNull(this.get('delimiter'))) {
+                    this.errorModel.clear();
+                    if (!_.isUndefined(this.get('quote')) && this.get('quote') !== '' &&
+                      this.get('quote').length == 1) {
                       this.errorModel.clear();
-                      if (!_.isUndefined(this.get('delimiter')) && !_.isNull(this.get('delimiter'))
-                      ) {
+                      if (!_.isUndefined(this.get('escape')) && this.get('escape') !== '' &&
+                        this.get('escape').length == 1) {
                         this.errorModel.clear();
-                        if (!_.isUndefined(this.get('quote')) && this.get('quote') !== '' &&
-                            this.get('quote').length == 1) {
-                          this.errorModel.clear();
-                          if (!_.isUndefined(this.get('escape')) && this.get('escape') !== '' &&
-                              this.get('escape').length == 1) {
-                            this.errorModel.clear();
-                            self.__internal.buttons[0].element.disabled = false;
-                          } else {
-                            self.__internal.buttons[0].element.disabled = true;
-                            this.errorModel.set('escape', gettext('Escape should contain only one character'))
-                          }
-                        } else {
-                          self.__internal.buttons[0].element.disabled = true;
-                          this.errorModel.set('quote', gettext('Quote should contain only one character'))
-                        }
+                        self.__internal.buttons[0].element.disabled = false;
                       } else {
                         self.__internal.buttons[0].element.disabled = true;
-                        this.errorModel.set('delimiter', gettext('Delimiter should contain only one character'))
+                        this.errorModel.set('escape', gettext('Escape should contain only one character'));
                       }
                     } else {
                       self.__internal.buttons[0].element.disabled = true;
-                      this.errorModel.set('filename', gettext('Please provide filename'))
+                      this.errorModel.set('quote', gettext('Quote should contain only one character'));
                     }
-                });
-
-                // Give the dialog initial height & width
-                this.elements.dialog.style.minHeight = '80%';
-                this.elements.dialog.style.minWidth = '70%';
-              }
-            };
-          });
-        }
+                  } else {
+                    self.__internal.buttons[0].element.disabled = true;
+                    this.errorModel.set('delimiter', gettext('Delimiter should contain only one character'));
+                  }
+                } else {
+                  self.__internal.buttons[0].element.disabled = true;
+                  this.errorModel.set('filename', gettext('Please provide filename'));
+                }
+              });
 
-        // Open the Alertify dialog for the import/export module
-        Alertify.ImportDialog(
-            S(
- gettext("Import/Export data - table '%s'")
-            ).sprintf(treeInfo.table.label).value(), node, i, d
-         ).set('resizable',true).resizeTo('70%','80%');
+              // Give the dialog initial height & width
+              this.elements.dialog.style.minHeight = '80%';
+              this.elements.dialog.style.minWidth = '70%';
+            },
+          };
+        });
       }
-    };
 
-    return pgAdmin.Tools.import_utility;
-  });
+      // Open the Alertify dialog for the import/export module
+      Alertify.ImportDialog(
+        S(
+          gettext('Import/Export data - table \'%s\'')
+        ).sprintf(treeInfo.table.label).value(), node, i, d
+      ).set('resizable', true).resizeTo('70%', '80%');
+    },
+  };
+
+  return pgAdmin.Tools.import_utility;
+});
diff --git a/web/pgadmin/tools/maintenance/static/js/maintenance.js b/web/pgadmin/tools/maintenance/static/js/maintenance.js
index 982c595a..7f67dbfd 100644
--- a/web/pgadmin/tools/maintenance/static/js/maintenance.js
+++ b/web/pgadmin/tools/maintenance/static/js/maintenance.js
@@ -3,7 +3,7 @@ define([
   'underscore.string', 'pgadmin.alertifyjs', 'sources/pgadmin', 'pgadmin.browser', 'backbone',
   'backgrid', 'backform',
   'pgadmin.backform', 'pgadmin.backgrid',
-  'pgadmin.browser.node.ui'
+  'pgadmin.browser.node.ui',
 ], function(
   gettext, url_for, $, _, S, Alertify, pgAdmin, pgBrowser, Backbone, Backgrid,
   Backform
@@ -17,22 +17,22 @@ define([
   if (pgAdmin.Tools.maintenance)
     return pgAdmin.Tools.maintenance;
 
-  var CustomSwitchControl = Backform.CustomSwitchControl = Backform.SwitchControl.extend({
-      template: _.template([
-        '<label class="<%=Backform.controlLabelClassName%> custom_switch_label_class"><%=label%></label>',
-        '<div class="<%=Backform.controlsClassName%> custom_switch_control_class">',
-        '  <div class="checkbox">',
-        '    <label>',
-        '      <input type="checkbox" class="<%=extraClasses.join(\' \')%>" name="<%=name%>" <%=value ? "checked=\'checked\'" : ""%> <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
-        '    </label>',
-        '  </div>',
-        '</div>',
-        '<% if (helpMessage && helpMessage.length) { %>',
-        '  <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
-        '<% } %>'
-      ].join("\n")),
-      className: 'pgadmin-control-group form-group col-xs-6'
-    });
+  Backform.CustomSwitchControl = Backform.SwitchControl.extend({
+    template: _.template([
+      '<label class="<%=Backform.controlLabelClassName%> custom_switch_label_class"><%=label%></label>',
+      '<div class="<%=Backform.controlsClassName%> custom_switch_control_class">',
+      '  <div class="checkbox">',
+      '    <label>',
+      '      <input type="checkbox" class="<%=extraClasses.join(\' \')%>" name="<%=name%>" <%=value ? "checked=\'checked\'" : ""%> <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
+      '    </label>',
+      '  </div>',
+      '</div>',
+      '<% if (helpMessage && helpMessage.length) { %>',
+      '  <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
+      '<% } %>',
+    ].join('\n')),
+    className: 'pgadmin-control-group form-group col-xs-6',
+  });
 
   // Main model for Maintenance functionality
   var MaintenanceModel = Backbone.Model.extend({
